# Package org.apache.jasper

package org.apache.jasper

- Related Packages
  Package
  Description
  org.apache.jasper.compiler
  org.apache.jasper.el
  org.apache.jasper.optimizations
  org.apache.jasper.runtime
  org.apache.jasper.security
  org.apache.jasper.servlet
  org.apache.jasper.util
- Class
  Description
  Constants
  Some constants and other global data that are used by the compiler and the runtime.
  EmbeddedServletOptions
  A class to hold all init parameters specific to the JSP engine.
  JasperException
  Base class for all exceptions generated by the JSP engine.
  JspC
  Shell for the jspc compiler.
  JspCompilationContext
  A placeholder for various things that are used throughout the JSP engine.
  Options
  A class to hold all init parameters specific to the JSP engine.
  TrimSpacesOption
  Options for the trimDirectiveWhitespaces JSP attribute.